> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Quote Configs

GET https://api-b2b.bigcommerce.com/api/v2/rfq/configs

Retrieves settings configurations related to storefront quotes from your store's General, Quotes, and Email settings, as well as built-in settings. This endpoint can be called without a Bearer token, as it returns information that can apply to guest shoppers.

**Note:** The `storeHash` parameter must be included to return the store's configurations. If omitted, the response will be successful, but it will not contain any data.

Equivalent Storefront GraphQL API Query: `quoteConfig`.

### Available Configs

Quote configs appear in the response as key-value pairs. See the table to learn more about the setting that corresponds to each config key.

| Config Key | Description |
| --- | --- |
| quote_reminder_notification | Indicates whether the Quote reminder template for buyers is enabled in the store's Email settings |
| quote_customer | Indicates whether quotes are enabled in the Feature management area of the store's General settings |
| quote_on_product_page | Indicates whether the product page Add to quote button is enabled in the store's Quotes settings |
| quote_on_cart_page | Indicates whether the cart page Add to quote button is enabled in the store's Quotes settings |
| quote_for_guest | Indicates whether quote requests are enabled for guest shoppers in the store's Quotes settings |
| quote_for_individual_customer | Indicates whether quote requests are enabled for storefront customers in the store's Quotes settings |
| quote_for_b2b | Indicates whether quote requests are enabled for Company users in the store's Quotes settings |
| quote_sales_rep_visibility | Indicates whether Sales Staff users are restricted to viewing quotes from their assigned Companies. This is enabled by default, and cannot be disabled. |
| quote_sales_rep_creation | Indicates whether the built-in Sales Rep system user role is authorized to create quotes in the B2B Edition control panel. This configuration cannot be disabled, but you can create a custom user role for Sales Staff without quote permissions. |
| email_quote_for_merchant | Indicates whether the New quote email template for merchants is enabled in the store's Email settings |
| quote_logo | The URL for the logo image in the store's General setings, which appears on quote emails and PDFs |
| quote_cost_column | Indicates whether the store's Quotes settings are configured to display the product cost column in the line items table while viewing a quote in the B2B Edition control panel |
| quote_margin_column | Indicates whether the store's Quotes settings are configured to display the cost margin column in the line items table while viewing a quote in the B2B Edition control panel |
| customer_update_quote_message_email_sales_rep | Indicates whether Sales Staff users are notified via email when a buyer from an assigned Company has created a quote. This is configured during initial setup. |
| sales_rep_update_quote_message_email_customer | Indicates whether buyers are notified via email when a Sales Staff user has created a quote for them. This is configured during initial setup. |
| quote_send_customer_notes_to_order | Indicates whether the store's Quotes settings are configured to transfer customer-facing notes on the quote to the corresponding order by default |
| quote_send_product_notes_to_order | Indicates whether the store's Quotes settings are configured to transfer line item-specific notes on the quote to the corresponding order by default |
| quote_custom_shipping | Indicates whether custom shipping is enabled in the store's Quotes settings |
| quote_default_pdf | The template used by default when buyers download a quote PDF |
| defaultExpirationDate | The default number of days before a new quote expires |
| defaultTermsAndConditions | The default terms and conditions configured in the store's Quotes settings |

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/request-for-quote/get-rfq-configs

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Query parameters

- `storeHash` (string, optional) — The unique alphanumeric store hash for the BigCommerce store.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `message` (string, optional, default: SUCCESS)
- `data` (RfqConfigsGetResponsesContentApplicationJsonSchemaData, optional)

## Types

### RfqConfigsGetResponsesContentApplicationJsonSchemaData

- `switchStatus` (list of RfqConfigsGetResponsesContentApplicationJsonSchemaDataSwitchStatusItems, optional) — Contains information about quotes settings that are either enabled or disabled.
- `quoteOtherConfigs` (list of RfqConfigsGetResponsesContentApplicationJsonSchemaDataQuoteOtherConfigsItems, optional) — Contains information about quotes settings with configurable text or number values.

### RfqConfigsGetResponsesContentApplicationJsonSchemaDataSwitchStatusItems

- `key` (string, optional) — The internal key for the quote configuration.
- `isEnabled` (string, optional) — Indicates whether or not a quote configuration is enabled in the store. `0` indicates disabled and `1` indicates enabled. For the `quote_logo` config, the enabled value is the logo image URL instead of `1`.

### RfqConfigsGetResponsesContentApplicationJsonSchemaDataQuoteOtherConfigsItems

- `key` (string, optional) — The internal key for the quote configuration.
- `value` (string, optional) — The text or number value specified for the setting.

## Examples

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "switchStatus": [
      {
        "key": "quote_reminder_notification",
        "isEnabled": "1"
      },
      {
        "key": "quote_customer",
        "isEnabled": "1"
      },
      {
        "key": "quote_on_product_page",
        "isEnabled": "1"
      },
      {
        "key": "quote_on_cart_page",
        "isEnabled": "1"
      },
      {
        "key": "quote_for_guest",
        "isEnabled": "1"
      },
      {
        "key": "quote_for_individual_customer",
        "isEnabled": "1"
      },
      {
        "key": "quote_for_b2b",
        "isEnabled": "1"
      },
      {
        "key": "quote_sales_rep_visibility",
        "isEnabled": "1"
      },
      {
        "key": "email_quote_for_merchant",
        "isEnabled": "1"
      },
      {
        "key": "quote_logo",
        "isEnabled": "https://mybcstore.com/logo.png"
      },
      {
        "key": "quote_cost_column",
        "isEnabled": "1"
      },
      {
        "key": "quote_margin_column",
        "isEnabled": "1"
      },
      {
        "key": "customer_update_quote_message_email_sales_rep",
        "isEnabled": "1"
      },
      {
        "key": "sales_rep_update_quote_message_email_customer",
        "isEnabled": "1"
      },
      {
        "key": "quote_send_customer_notes_to_order",
        "isEnabled": "1"
      },
      {
        "key": "quote_send_product_notes_to_order",
        "isEnabled": "1"
      },
      {
        "key": "quote_custom_shipping",
        "isEnabled": "1"
      },
      {
        "key": "quote_default_pdf",
        "isEnabled": "1"
      }
    ],
    "quoteOtherConfigs": [
      {
        "key": "defaultExpirationDate",
        "value": "45"
      },
      {
        "key": "defaultTermsAndConditions",
        "value": "Thank you for the opportunity to provide this quote! Please note the following:\n - Quotes are valid for 30 days unless otherwise stated.\n - Pricing is subject to change at any time.\n - Please note, the shipping and tax quoted are estimates only. Final shipping and tax will be calculated during checkout and may be billed post sale.\n - Due to fluctuating shipping rates, LTL shipping calculations are only estimates. Final LTL rates will be determined by quote upon shipment and may be billed post sale. Also, if a lift gate is required an additional fee will apply if not included in this quote.\n - Please contact your Technical Sales Representative, call 512-11-1111, or email sales.rep@mybcstore.com for assistance."
      }
    ]
  }
}
```

**SDK Code**

```python example
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/rfq/configs"

querystring = {"storeHash":"abcd1234"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript example
const url = 'https://api-b2b.bigcommerce.com/api/v2/rfq/configs?storeHash=abcd1234';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/rfq/configs?storeHash=abcd1234"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/rfq/configs?storeHash=abcd1234")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/rfq/configs?storeHash=abcd1234")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/rfq/configs?storeHash=abcd1234', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/rfq/configs?storeHash=abcd1234");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/rfq/configs?storeHash=abcd1234")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```